# file: kb_demo_app/Cargo.toml

[package]
name = "kb_demo_app"
edition.workspace = true
version.workspace = true
license.workspace = true
authors.workspace = true
publish.workspace = true

[lib]
# The `_lib` suffix may seem redundant, but it is necessary
# to make the lib name unique and wouldn't conflict with the bin name.
# This seems to be only an issue on Windows, see https://github.com/rust-lang/cargo/issues/8519
name = "kb_demo_app_lib"
crate-type = ["staticlib", "cdylib", "rlib"]

[build-dependencies]
tauri-build.workspace = true

[dependencies]
fs2.workspace = true
kb_lib = { path = "../kb_lib" }
rustls.workspace = true
serde.workspace = true
serde_json.workspace = true
solana-rpc-client-api.workspace = true
tauri.workspace = true
tauri-plugin-tracing.workspace = true
tokio.workspace = true
tracing.workspace = true
ts-rs.workspace = true
